%define enable_gnometris 1

%define schemas aisleriot blackjack glines gnect gnibbles gnobots2 gnometris gnomine gnotravex gnotski gtali iagno libgnomegames mahjongg same-gnome glchess

%define gamesdir	%{_localstatedir}/games

Summary:	GNOME games
Name:		gnome-games
Version: 2.18.2
%define subrel 1
Release: %mkrel 2
License:	GPL
Group:		Games/Other

Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-games/gnome-games-%{version}.tar.bz2
Source6:	%{name}-icons16.tar.bz2
Source7:	%{name}-icons32.tar.bz2
Source8:	%{name}-icons48.tar.bz2
BuildRequires:	gettext
BuildRequires:	guile-devel
BuildRequires:	libgnomeui2-devel >= 2.0.0
Buildrequires:  libglade2.0-devel
BuildRequires:  gtk+2-devel >= 2.5.4
BuildRequires:  libexpat-devel
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils
Buildrequires:  librsvg-devel
Buildrequires:  pygtk2.0-devel gnome-python-desktop
Buildrequires:  avahi-glib-devel avahi-client-devel
Buildrequires:  perl-XML-Parser
BuildRequires:  gob2
BuildRequires:  automake1.7
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.gnome.org/projects/gnome-games/
Requires:	guile
Requires(post):	scrollkeeper >= 0.3
Requires(postun):scrollkeeper >= 0.3
Requires(pre):	rpm-helper
Requires:	librsvg
Requires: gnome-python-gnomeprint gnome-python
Requires: python-gtkglext
Requires: pygtk2.0-libglade
Requires: gnome-python-gconf
Requires: gnome-python-gnomevfs
Provides: glchess
Obsoletes: glchess

%description
The gnome-games package includes games for the GNOME GUI desktop environment.
They include:

AisleRiot       A compilation of seventy different solitaire card games.
Ataxx           Disk-flipping game where players try and control most disks.
Blackjack       The famous casino card game without any need to pay.
Four-in-a-row   Players tries to make a line of four disks. (Connect Four)
Gnometris       Tetris clone.
Iagno           GNOME version of the popular Othello (R) chess.
Klotski         A series of sliding block puzzles.
Lines           Move balls around the grid to form lines of the same colour
                to make them disappear, while more balls keep dropping in.
Mahjongg        Remove tiles in matching pairs from a pile to dismantle it.
Mines           The popular logic puzzle minesweeper.
Nibbles         Pilot a worm around a maze trying to collect diamonds.
Robots          Classic BSD robots game, avoiding robots approaching you.
Same GNOME      In a grid of stones of different colors, try remove stones
                where two or more of the same colour touch each other.
Tali            Poker-like dice game without money, similar to Yahtzee.
Tetravex        A puzzle where you match tiles edges together.
GLChess		Chess with a 3D board.


%prep
%setup -q

%build
%configure2_5x --enable-compile-warnings=no
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%if !%enable_gnometris
rm -rf  $RPM_BUILD_ROOT%{_datadir}/applications/gnometris.desktop \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-gtetris.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnometris \
  $RPM_BUILD_ROOT%{gamesdir}/gnometris.scores
%endif

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): title="GNOME Mines" longtitle="Mines game" command="%{_bindir}/gnomine" icon="gnome-gnomine.png" needs="x11" section="More Applications/Games/Puzzles" startup_notify="true" xdg="true"
?package(%{name}): title="Same GNOME" longtitle="GNOME SameGame" command="%{_bindir}/same-gnome" icon="gnome-gsame.png" needs="x11" section="More Applications/Games/Other" startup_notify="true" xdg="true"
?package(%{name}): title="GNOME Mahjongg" longtitle="Mahjongg game" command="%{_bindir}/mahjongg" icon="gnome-mahjongg.png" kde_info="GNOME Mahjongg game" needs="x11" section="More Applications/Games/Puzzles" startup_notify="true" xdg="true"
?package(%{name}): title="GTali" longtitle="Poker-like dice game" command="%{_bindir}/gtali" icon="gnome-gtali.png" needs="x11" section="More Applications/Games/Other" start_notify="true" xdg="true"
?package(gnome-games): title="GNOME Robots" longtitle="GNOME Robots game" command="%{_bindir}/gnobots2" icon="gnome-gnobots.png" needs="x11" section="More Applications/Games/Arcade" startup_notify="true" xdg="true"
?package(%{name}): icon="iagno.png" title="Iagno" longtitle="Reversi chess" command="%{_bindir}/iagno" needs="x11" section="More Applications/Games/Boards" startup_notify="true" xdg="true"
?package(%{name}): title="GNOME Tetravex" longtitle="Tetravex puzzle" command="%{_bindir}/gnotravex" icon="gnome-gnotravex.png" needs="x11" section="More Applications/Games/Puzzles" startup_notify="true" xdg="true"
?package(%{name}): title="AisleRiot" longtitle="Card-based Solitaire suite" command="%{_bindir}/sol" icon="gnome-aisleriot.png" needs="x11" section="More Applications/Games/Cards" startup_notify="true" xdg="true"
?package(%{name}): title="Glines" longtitle="Color lines chess" command="%{_bindir}/glines" icon="glines.png" needs="x11" section="More Applications/Games/Boards" startup_notify="true" xdg="true"
?package(gnome-games): title="Gnibbles" longtitle="Nibbles Game" command="%{_bindir}/gnibbles" icon="gnome-nibbles.png" needs="x11" icon="gnome-nibbles.png" section="More Applications/Games/Arcade" startup_notify="true" xdg="true"
?package(%{name}): title="Gnect" longtitle="Four-in-a-row chess" command="%{_bindir}/gnect" needs="x11" section="More Applications/Games/Boards" icon="gnect-icon.png" startup_notify="true" xdg="true"
?package(%{name}): title="Gnometris" longtitle="Tetris game" command="%{_bindir}/gnometris" icon="gnome-gtetris.png" needs="x11" section="More Applications/Games/Arcade" startup_notify="true" xdg="true"
?package(%{name}): title="Blackjack" longtitle="Blackjack" command="%{_bindir}/blackjack" icon="gnome-blackjack.png" needs="x11" section="More Applications/Games/Cards" startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Puzzles" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{gnomine.desktop,mahjongg.desktop,gnotravex.desktop,gnome-sudoku.desktop}
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{same-gnome.desktop,gtali.desktop}
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{gnobots2.desktop,gnometris.desktop}
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Boards" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{iagno.desktop,glines.desktop,gnect.desktop,glchess.desktop}
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Cards" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{sol.desktop,blackjack.desktop}

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir}

bzcat %{SOURCE6} | tar xf - -C $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE7} | tar xf - -C $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE8} | tar xf - -C $RPM_BUILD_ROOT%{_liconsdir}

%{find_lang} %{name} --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/*-{??,??_??}.omf; do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

rm -rf %buildroot/var/lib/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %schemas
%update_scrollkeeper
%{update_menus}
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_scrollkeeper
%{clean_menus}
%clean_icon_cache hicolor

%pre
[ -d %{gamesdir} ] || mkdir -p %{gamesdir}
for i in \
	glines.Small \
	glines.Medium \
	glines.Large \
	glines.Custom \
	gnibbles.1.0 \
	gnibbles.1.1 \
	gnibbles.2.0 \
	gnibbles.2.1 \
	gnibbles.3.0 \
	gnibbles.3.1 \
	gnibbles.4.0 \
	gnibbles.4.1 \
	gnobots2.classic_robots-safe \
	gnobots2.classic_robots \
	gnobots2.classic_robots-super-safe \
	gnobots2.nightmare-safe \
	gnobots2.nightmare \
	gnobots2.nightmare-super-safe \
	gnobots2.robots2_easy-safe \
	gnobots2.robots2_easy \
	gnobots2.robots2_easy-super-safe \
	gnobots2.robots2-safe \
	gnobots2.robots2 \
	gnobots2.robots2-super-safe \
	gnobots2.robots_with_safe_teleport-safe \
	gnobots2.robots_with_safe_teleport \
	gnobots2.robots_with_safe_teleport-super-safe \
	gnometris \
	gnomine.Custom \
	gnomine.Large \
	gnomine.Medium \
	gnomine.Small \
	gnotravex.2x2 \
	gnotravex.3x3 \
	gnotravex.4x4 \
	gnotravex.5x5 \
	gnotravex.6x6 \
	gnotski.10 \
	gnotski.11 \
	gnotski.12 \
	gnotski.13 \
	gnotski.14 \
	gnotski.15 \
	gnotski.16 \
	gnotski.17 \
	gnotski.1 \
	gnotski.20 \
	gnotski.21 \
	gnotski.22 \
	gnotski.23 \
	gnotski.24 \
	gnotski.25 \
	gnotski.26 \
	gnotski.27 \
	gnotski.28 \
	gnotski.29 \
	gnotski.2 \
	gnotski.30 \
	gnotski.31 \
	gnotski.32 \
	gnotski.33 \
	gnotski.34 \
	gnotski.35 \
	gnotski.36 \
	gnotski.37 \
	gnotski.3 \
	gnotski.4 \
	gnotski.5 \
	gnotski.6 \
	gnotski.7 \
	gnotski.8 \
	gnotski.9 \
	gtali.Regular \
	gtali.Colors \
	mahjongg.easy \
	mahjongg.difficult \
	mahjongg.confounding \
	mahjongg.pyramid \
	mahjongg.tictactoe \
	mahjongg.cloud \
	mahjongg.dragon \
	mahjongg.bridges \
	mahjongg.ziggurat \
	same-gnome.Small \
	same-gnome.Medium \
	same-gnome.Large \
; do
	%create_ghostfile %{gamesdir}/$i.scores games games 0664
	if [ -f "%{gamesdir}/$i.scores" -a ! -s "%{gamesdir}/$i.scores" ]; then
	echo "0.000000 `date +%s` gnome" >> %{gamesdir}/$i.scores
	fi
done

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS TODO
%{_sysconfdir}/gconf/schemas/aisleriot.schemas
%{_sysconfdir}/gconf/schemas/blackjack.schemas
%{_sysconfdir}/gconf/schemas/glchess.schemas
%{_sysconfdir}/gconf/schemas/glines.schemas
%{_sysconfdir}/gconf/schemas/gnect.schemas
%{_sysconfdir}/gconf/schemas/gnibbles.schemas
%{_sysconfdir}/gconf/schemas/gnobots2.schemas
%{_sysconfdir}/gconf/schemas/gnometris.schemas
%{_sysconfdir}/gconf/schemas/gnomine.schemas
%{_sysconfdir}/gconf/schemas/gnotravex.schemas
%{_sysconfdir}/gconf/schemas/gnotski.schemas
%{_sysconfdir}/gconf/schemas/gtali.schemas
%{_sysconfdir}/gconf/schemas/iagno.schemas
%{_sysconfdir}/gconf/schemas/libgnomegames.schemas
%{_sysconfdir}/gconf/schemas/mahjongg.schemas
%{_sysconfdir}/gconf/schemas/same-gnome.schemas

%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/sol
%{_bindir}/gnect
%{_bindir}/blackjack
%{_bindir}/gnome-gnuchess
%{_bindir}/glchess
%{_bindir}/gnome-sudoku

# these are setgid games so they can write in score files
%defattr(2555, root, games)
%if %enable_gnometris
%{_bindir}/gnometris
%endif
%{_bindir}/glines
%{_bindir}/gnibbles
%{_bindir}/gnobots2
%{_bindir}/gnomine
%{_bindir}/gnotravex
%{_bindir}/gnotski
%{_bindir}/gtali
%{_bindir}/iagno
%{_bindir}/mahjongg
%{_bindir}/same-gnome

%defattr(-, root, root)
%py_puresitedir/glchess
%py_puresitedir/gnome_sudoku
%_datadir/icons/hicolor/*/apps/*
%{_datadir}/applications/*
%{_datadir}/ggz
%{_datadir}/glchess
%{_datadir}/gnome-games
%{_datadir}/gnome-sudoku
%{_datadir}/blackjack
%{_datadir}/gnect
%{_datadir}/gnibbles
%{_datadir}/gnobots2
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/sol-games
%{_datadir}/sounds/*
%attr(664, games, games) %ghost %{gamesdir}/*
%dir %{_datadir}/omf/%name
%{_datadir}/omf/*/*-C.omf


%changelog
* Thu Jun 14 2007 Vincent Danen <vdanen@mandriva.com> 2.18.2-2.1mdv2007.1
- build for updates

* Wed May 30 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.2-2mdv2008.0
+ Revision: 32864
- Fix missing score files (Mdv bug #29338)
- no longer remove Applications category, it is already done upstream

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32120
- new version

* Sun May 06 2007 Götz Waschk <waschk@mandriva.org> 2.18.1.1-1mdv2008.0
+ Revision: 23688
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14116
- new version


* Tue Mar 20 2007 Götz Waschk <waschk@mandriva.org> 2.18.0.1-1mdv2007.1
+ Revision: 147128
- new version
- update file list

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142127
- new version

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126214
- new version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120786
- fix buildrequires
- new version

* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 2.17.90.1-1mdv2007.1
+ Revision: 112733
- new version
- drop patch

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-2mdv2007.1
+ Revision: 112486
- patch to fix glchess crash on startup (bug #28366)

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111740
- new version
- obsolete glchess

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 105464
- fix buildrequires
- new version
- add new files

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.4.1-2mdv2007.1
+ Revision: 105288
- rebuild for guile

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.17.4.1-1mdv2007.1
+ Revision: 100372
- new version
- drop patch

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 99116
- new version
- patch to add missing files
- update file list

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-4mdv2007.1
+ Revision: 91932
- add missing deps
- update description

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-3mdv2007.1
+ Revision: 91659
- bot rebuild
- bot rebuild
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-3mdv2007.1
+ Revision: 87918
- bot rebuild
- fix buildrequires for broken x86_64 arch
- new version
- add new games
- remove gataxx
- update deps

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86182
- new version

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 2.16.1.1-1mdv2007.1
+ Revision: 78047
- new version
- Import gnome-games

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.0
- New release 2.15.6

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1
- New release 2.15.5

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.4

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1
- New release 2.15.3

* Fri Jun 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-2mdv2007.0
- Rebuild

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Thu Apr 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Patch0 (CVS): fix broken po

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-2mdk
- rebuild for new libgsf

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- rebuild for new libgsf

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Fri May 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.1-3mdk
- add BuildRequires: gnome-common intltool

* Wed May 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-2mdk 
- Fix url
- Fix build on x86-64

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)

* Tue Mar 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-2mdk 
- Requires svg gdk-pixbuf loader (Mdk bug #14373)

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- New release 2.8.3

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Rebuild with latest howl

* Thu Dec 02 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- New release 2.8.2

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-2mdk
- score files (Abel Cheung)

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- fix omf listing
- drop library package
- New release 2.8.1

* Tue Nov 02 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.2-4mdk
- 64-bit fixes

* Sat Aug 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-3mdk
- Patch0 : fix typo in pa.po, causing gconf warning

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.2-2mdk
- Rebuild with new menu

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 2.6.1-4mdk
- Rebuild

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- fix buildrequires

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Wed Apr 21 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.1-1mdk
- Release 2.6.0.1 (with Gtz help)
- remove patch0 (merged upstream)

